#ifndef __MOG2_ACTIONSCRIPT_VIEW_WINDOW
#define __MOG2_ACTIONSCRIPT_VIEW_WINDOW

#define VS_REGION_ADD		0
#define VS_REGION_MODIFY	1


class BViewActionScriptWnd : public BWindow {
public:
	/* Level: 0 object, 1 room, 2 map, 3 game, 4 interface, 5 application */ 
	BViewActionScriptWnd(int x,int y,int dx,int dy,class ActionSCRIPT *as,class ConditionSCRIPT *cs,class ValueSCRIPT *vs,class OBJECT *o,class ROOM *r,class MAP *m,class MOG2 *g,class MOG2_INTERFACE *interf,class EDITOR *e,int level,TTF_Font *font);
	~BViewActionScriptWnd();

	virtual bool cycle(int stx,int sty);

	void save_bmp(char *file);

protected:
	virtual void contens_size(int *dx,int *dy);
	virtual void draw_contens(SDL_Surface *sfc,int stx,int sty,int dx,int dy);

	void a_draw_script(SDL_Surface *sfc,ActionSCRIPT *script,int stx,int sty);
	void a_script_size(ActionSCRIPT *script,int *dx,int *dy);
	void a_recompute_sizes(ActionSCRIPT *script);

	void c_draw_script(SDL_Surface *sfc,ConditionSCRIPT *script,int stx,int sty);
	void c_script_size(ConditionSCRIPT *script,int *dx,int *dy);
	void c_recompute_sizes(ConditionSCRIPT *script);

	void v_draw_script(SDL_Surface *sfc,ValueSCRIPT *script,int stx,int sty);
	void v_script_size(ValueSCRIPT *script,int *dx,int *dy);
	void v_recompute_sizes(ValueSCRIPT *script);

	bool click_on_script(void);
	bool right_click_on_script(void);

	class EDITOR *editor;
//	class BViewConditionScriptWnd *cwnd;
//	class BViewValueScriptWnd *vwnd;
	ActionSCRIPT *a_script,*a_selected_script;
	ConditionSCRIPT *c_script,*c_selected_script;
	ValueSCRIPT *v_script,*v_selected_script;
	SDL_Rect selected;
	OBJECT *object,*selected_object;
	ROOM *room;
	MAP *map;
	MOG2 *game;
	MOG2_INTERFACE *interf;
	int level;
};


#endif

