#ifndef __VARIABLE_LIST_BWINDOW
#define __VARIABLE_LIST_BWINDOW

class VariableListWnd : public BWindow {
	friend class BViewActionScriptWnd;
	friend class BVariableSelectorWnd;

public:
	VariableListWnd(int x,int y,int dx,int dy,class EDITOR *e,OBJECT *o,ROOM *r,MAP *m,MOG2 *g,MOG2_INTERFACE *interf,TTF_Font *font);
	~VariableListWnd();

	virtual bool cycle(int stx,int sty);

protected:
	virtual void contens_size(int *dx,int *dy);
	virtual void draw_contens(SDL_Surface *sfc,int stx,int sty,int dx,int dy);

	int scope_to_refind,scope;
	List<char> variable_names;
	char *selected;

	EDITOR *editor;
	OBJECT *object;
	ROOM *room;
	MAP *map;
	MOG2 *game;
	MOG2_INTERFACE *interf;
};


#endif

